Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.management
Interface CompilationMXBean

    public interface CompilationMXBean

The management interface for the compilation system of the Java virtual machine.

A Java virtual machine has a single instance of the implementation class of this interface. This instance implementing this interface is an MXBean that can be obtained by calling the `ManagementFactory.getCompilationMXBean()` method or from the `platform `MBeanServer`` method.

The `ObjectName` for uniquely identifying the MXBean for the compilation system within an MBeanServer is:

> ``java.lang:type=Compilation``

Since:
  1.5
See Also:
  JMX Specification., Ways to Access MXBeans

Method Summary
`String` | `getName()` Returns the name of the Just-in-time (JIT) compiler.
`long` | `getTotalCompilationTime()` Returns the approximate accumlated elapsed time (in milliseconds) spent in compilation.
`boolean` | `isCompilationTimeMonitoringSupported()` Tests if the Java virtual machine supports the monitoring of compilation time.

Method Detail

### getName

    String getName()

  Returns the name of the Just-in-time (JIT) compiler.

  Returns:
    the name of the JIT compiler.

### isCompilationTimeMonitoringSupported

    boolean isCompilationTimeMonitoringSupported()

  Tests if the Java virtual machine supports the monitoring of compilation time.

  Returns:
    `true` if the monitoring of compilation time is supported ; `false` otherwise.

### getTotalCompilationTime

    long getTotalCompilationTime()

  Returns the approximate accumlated elapsed time (in milliseconds) spent in compilation. If multiple threads are used for compilation, this value is summation of the approximate time that each thread spent in compilation.

  This method is optionally supported by the platform. A Java virtual machine implementation may not support the compilation time monitoring. The `isCompilationTimeMonitoringSupported()` method can be used to determine if the Java virtual machine supports this operation.

  This value does not indicate the level of performance of the Java virtual machine and is not intended for performance comparisons of different virtual machine implementations. The implementations may have different definitions and different measurements of the compilation time.

  Returns:
    Compilation time in milliseconds
  Throws:
    `UnsupportedOperationException` - if the Java virtual machine does not support this operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.